public inbox for dtrace@lists.linux.dev
 help / color / mirror / Atom feed
* [PATCH] test: skip when /proc/kallmodsyms is not present
@ 2026-02-09 18:34 Kris Van Hees
  2026-02-09 18:55 ` Eugene Loh
  0 siblings, 1 reply; 4+ messages in thread
From: Kris Van Hees @ 2026-02-09 18:34 UTC (permalink / raw)
  To: dtrace, dtrace-devel

Signed-off-by: Kris Van Hees <kris.van.hees@oracle.com>
---
 test/unittest/consumer/tst.merge_ranges_bug25767469.x | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/test/unittest/consumer/tst.merge_ranges_bug25767469.x b/test/unittest/consumer/tst.merge_ranges_bug25767469.x
index 7e265f2f..a92690ad 100755
--- a/test/unittest/consumer/tst.merge_ranges_bug25767469.x
+++ b/test/unittest/consumer/tst.merge_ranges_bug25767469.x
@@ -1,10 +1,14 @@
 #!/bin/bash
 #
 # Oracle Linux DTrace.
-# Copyright (c) 2018, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2018, 2026, Oracle and/or its affiliates. All rights reserved.
 # Licensed under the Universal Permissive License v 1.0 as shown at
 # http://oss.oracle.com/licenses/upl.
 
+# If /proc/kallmodsyms does not exist, there is nothing to test.
+
+[[ -r /proc/kallmodsyms ]] || exit 2
+
 # The test depends on a kernel fix to report kernel (and built-in-module)
 # symbol sizes correctly in /proc/kallmodsyms.  An easy check is to count
 # how many kernel and built-in-module symbols (that is, symbols that appear
-- 
2.51.0


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2026-02-09 19:13 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2026-02-09 18:34 [PATCH] test: skip when /proc/kallmodsyms is not present Kris Van Hees
2026-02-09 18:55 ` Eugene Loh
2026-02-09 19:04   ` Kris Van Hees
2026-02-09 19:13     ` Eugene Loh

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox